class PostMessage {
  sendMsg(data) {
    window.parent.postMessage(data, "*");
  }

  // 直播间显示登录弹窗
  showLogin() {
    const data = {
      cmd: 'showLogin'
    }
    this.sendMsg(data)
  }
  // 通知直播间信息填写完毕
  premiseFilled() {
    const data = {
      cmd: 'premiseFilled'
    }
    this.sendMsg(data)
  }
}

export default new PostMessage()
